Use autofoo to build a lib.
authorMalte S. Stretz <mss@apache.org>
Thu, 14 Oct 2010 09:49:29 +0000 (11:49 +0200)
committerMalte S. Stretz <mss@apache.org>
Thu, 14 Oct 2010 09:49:29 +0000 (11:49 +0200)
.gitignore [new file with mode: 0644]
Makefile.am [new file with mode: 0644]
configure.ac [new file with mode: 0644]
configure.sh [new file with mode: 0755]
ftpparse.pc.in [new file with mode: 0644]

diff --git a/.gitignore b/.gitignore
new file mode 100644 (file)
index 0000000..f621e7b
--- /dev/null
@@ -0,0 +1,15 @@
+*.o
+*.lo
+*.la
+.libs/
+.deps/
+Makefile
+Makefile.in
+aclocal.m4
+autom4te.cache/
+autom4te.files/
+config.log
+config.status
+configure
+ftpparse.pc
+libtool
diff --git a/Makefile.am b/Makefile.am
new file mode 100644 (file)
index 0000000..826713d
--- /dev/null
@@ -0,0 +1,11 @@
+lib_LTLIBRARIES = libftpparse.la
+libftpparse_la_SOURCES = ftpparse.c
+libftpparse_la_LDFLAGS = -version 0:0:0
+
+library_includedir = $(includedir)
+library_include_HEADERS = ftpparse.h
+
+pkgconfigdir = $(libdir)/pkgconfig
+pkgconfig_DATA = @PACKAGE_NAME@.pc
+
+ACLOCAL_AMFLAGS = -I autom4te.files
diff --git a/configure.ac b/configure.ac
new file mode 100644 (file)
index 0000000..22b5261
--- /dev/null
@@ -0,0 +1,15 @@
+AC_INIT([ftpparse], 20001223, , , [http://cr.yp.to/ftpparse.html])
+AC_PREREQ([2.59])
+AC_CONFIG_SRCDIR([ftpparse.c])
+AC_CONFIG_AUX_DIR([autom4te.files])
+AC_CONFIG_MACRO_DIR([autom4te.files])
+
+AM_INIT_AUTOMAKE([1.10 foreign silent-rules no-define])
+
+LT_INIT
+
+AC_PROG_CC
+
+AC_CONFIG_FILES([Makefile ftpparse.pc])
+
+AC_OUTPUT
diff --git a/configure.sh b/configure.sh
new file mode 100755 (executable)
index 0000000..a79cebe
--- /dev/null
@@ -0,0 +1,4 @@
+#!/bin/sh
+mkdir -p autom4te.files
+autoreconf -i || exit $?
+exec ./configure "$@"
diff --git a/ftpparse.pc.in b/ftpparse.pc.in
new file mode 100644 (file)
index 0000000..a1fa352
--- /dev/null
@@ -0,0 +1,10 @@
+prefix=@prefix@
+exec_prefix=@exec_prefix@
+libdir=@libdir@
+includedir=@includedir@
+
+Name: @PACKAGE_NAME@
+Description: A library for parsing FTP LIST responses.
+Version: @PACKAGE_VERSION@
+Libs: -L${libdir} -l@PACKAGE_NAME@
+Cflags: